<?php
// +-----------------------------------------------------------------------+
// | Mod Name : UserDir                                                    |
// | Mod Version : 0.2                                                     |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('init', 'user_dir_init');

function user_dir_init()
{
  $plugin_name = basename(dirname(__FILE__));
  $plugin_path = dirname(__FILE__).'/';
  $plugin_url = get_root_url();

  include_once($plugin_path.'include/class.inc.php');

  // Create object
  $user_dir = new UserDir($plugin_name, $plugin_path, $plugin_url);
  set_plugin_data($user_dir->plugin_name, $user_dir);
}
?>